import { MessagesService } from './messages.service';
export declare class MessagesController {
    private readonly messagesService;
    constructor(messagesService: MessagesService);
    getConversations(req: any): Promise<any[]>;
    getConversation(req: any, otherUserId: string): Promise<import("./message.entity").MessageEntity[]>;
    sendMessage(req: any, body: {
        recipientId: string;
        content: string;
    }): Promise<import("./message.entity").MessageEntity>;
    markAsRead(req: any, messageId: string): Promise<import("./message.entity").MessageEntity>;
    markConversationAsRead(req: any, otherUserId: string): Promise<{
        success: boolean;
    }>;
}
